AI agents: this site is available as Markdown at /llms.txt. Each page has a Markdown version at its URL with a .md suffix, and the full API is described in /api/v3/openapi.json.

Get all chargebacks

List the chargebacks raised against your account.

Last updated 13 September 2026

get

https://api.flutterwave.com/v3/chargebacks

authorization string required

Pass your secret key as a bearer token in the request header to authorize this call

FILL IN ALL REQUIRED FIELDS

page int 32
The page of the data to retrieve e.g. setting 1 retrieves the first page

status string
The status of the chargeback i.e. lost, won, initiated, accepted, or declined .

from string
The start date of the data query in YYYY-MM-DD.

to string
The finish date of the data query in YYYY-MM-DD.

currency string
ISO 4217 currency code.

flw_ref string
A unique Flutterwave reference for the transaction returned as flw_ref.

id string
The unique identifier for the transaction.

FILL IN ALL REQUIRED FIELDS

status string

message string

meta object

FILL IN ALL REQUIRED FIELDS

page_info object

FILL IN ALL REQUIRED FIELDS

total integer

current_page integer

total_pages integer

page_size integer

data array of objects

FILL IN ALL REQUIRED FIELDS

id integer

amount integer

flw_ref string

status string

stage string

comment string

meta object

FILL IN ALL REQUIRED FIELDS

uploaded_proof string

history array of objects

FILL IN ALL REQUIRED FIELDS

action string

stage string

date string

description string

source string

due_date string

settlement_id string

created_at string

transaction_id integer

tx_ref string

Shell

1
1


FL.AI

Answers from the Flutterwave docs

Hi, I’m FL.AI

Ask anything about Flutterwave’s APIs, guides and coverage.

FL.AI can make mistakes. Check important details in the docs.

Get API Keys